Issue SoapServer fault indicating an error

- « SoapServer::__construct

- SoapServer::getFunctions »

- PHP Manual
- SoapServer
- Issue SoapServer fault indicating an error

# SoapServer::fault

(PHP 5, PHP 7, PHP 8)

SoapServer::fault — Issue SoapServer fault indicating an error

### Description

public SoapServer::fault(
string `$code`,
string `$string`,
string `$actor` = "",
mixed `$details` = `null`,
string `$name` = ""
): void

Sends a response to the client of the current request indicating an error.

> Note:

> This can only be called when handling a request.

### Parameters

`code`

  The error code to return

`string`

  A brief description of the error

`actor`

  A string identifying the actor that caused the fault.

`details`

  More details of the fault

`name`

  The name of the fault. This can be used to select a name from a WSDL file.

### Return Values

No value is returned.

### See Also

- SoapFault::__construct() - SoapFault constructor